Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # packed_image1_type Struct Template Reference [packed_image_type,bit_aligned_image_type] `#include <metafunctions.hpp>` Inheritance diagram for packed_image1_type: List of all members. ## Detailed Description ### template<typename BitField, unsigned Size1, typename Layout, typename Alloc = std::allocator<unsigned char>> struct boost::gil::packed_image1_type< BitField, Size1, Layout, Alloc > Returns the type of a single-channel image given its bitfield type, the bit size of its channel and its layout.
The documentation for this struct was generated from the following file: metafunctions.hpp